<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddBillingServerReq StructType
 * @subpackage Structs
 */
class AddBillingServerReq extends APIRequest
{
    /**
     * The billingServer
     * @var XBillingServer
     */
    public $billingServer;
    /**
     * Constructor method for AddBillingServerReq
     * @uses AddBillingServerReq::setBillingServer()
     * @param XBillingServer $billingServer
     */
    public function __construct(XBillingServer $billingServer = null)
    {
        $this
            ->setBillingServer($billingServer);
    }
    /**
     * Get billingServer value
     * @return XBillingServer|null
     */
    public function getBillingServer()
    {
        return $this->billingServer;
    }
    /**
     * Set billingServer value
     * @param XBillingServer $billingServer
     * @return AddBillingServerReq
     */
    public function setBillingServer(XBillingServer $billingServer = null)
    {
        $this->billingServer = $billingServer;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddBillingServerReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
